Publishing
Create creator scheduled stream
Create a scheduled live-stream announcement for a creator with the supplied publication details.
POST
/v1/agencies/{agencyId}/creators/{creatorId}/scheduled-streamsCreate a scheduled live-stream announcement for a creator with the supplied publication details.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/creators/string/scheduled-streams" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "scheduledDate": "2019-08-24T14:15:22Z" }'{ "data": { "id": 0, "description": "string", "rawDescription": "string", "isActive": true, "isFinished": true, "isShowTips": true, "startedAt": "string", "finishedAt": null, "room": "string", "streamingPlatform": "string", "likesCount": 0, "viewsCount": 0, "commentsCount": 0, "thumbUrl": null, "previewUrl": null, "selectedCover": null, "isPurchasedByRecipient": true, "price": 0, "canJoin": true, "canCoStreaming": true, "showCoStreamingRequest": true, "primaryPartnerId": 0, "primaryPartnerUserId": 0, "partners": [ null ], "isScheduled": true, "scheduledAt": "string", "isReminder": true, "remindersCount": 0, "duration": 0, "canReport": true, "canEdit": true, "canSendPrivateWithTip": true, "hasVoting": true, "hasPinnedComments": true, "user": { "view": "string", "header": "string", "name": "string", "isCreator": true, "canPayInternal": true, "hasScheduledStream": true, "hasStream": true, "hasStories": true, "tipsEnabled": true, "tipsTextEnabled": true, "tipsMin": 0, "tipsMinInternal": 0, "tipsMax": 0, "canEarn": true, "canAddSubscriber": true, "subscribePrice": 0, "hasStripe": true, "isStripeExist": true, "subscriptionBundles": [ { "id": 0, "discount": 0, "duration": 0, "price": 0, "canBuy": true } ], "canSendChatToAll": true, "creditsMin": 0, "creditsMax": 0, "isPaywallPassed": true, "creditsMinAlternatives": 0, "canCreateLists": true, "lastSeen": "string", "subscribedOn": true, "avatarThumbs": { "small": "string", "medium": "string" }, "isAdultContent": true, "id": "string", "username": "string", "avatar": "string" }, "canComment": true, "canLike": true, "tipsCount": 0, "tipsSumm": 0, "tipsGoalSum": 0, "tipsGoal": "string", "rawTipsGoal": "string", "tipsGoalProgress": 0 }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}